> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cativa.digital/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorization endpoint (OAuth 2.0 / OIDC)



## OpenAPI

````yaml /openapi/backoffice.json get /api/v1/sso/{customerName}/authorize
openapi: 3.0.1
info:
  title: Cativa Backoffice API (public)
  version: public
servers: []
security: []
paths:
  /api/v1/sso/{customerName}/authorize:
    get:
      tags:
        - Sso
      summary: Authorization endpoint (OAuth 2.0 / OIDC)
      operationId: Sso_Authorize
      parameters:
        - name: customerName
          in: path
          required: true
          schema:
            type: string
        - name: client_id
          in: query
          schema:
            type: string
        - name: redirect_uri
          in: query
          schema:
            type: string
        - name: scope
          in: query
          schema:
            type: string
        - name: response_type
          in: query
          schema:
            type: string
        - name: code_challenge
          in: query
          schema:
            type: string
        - name: code_challenge_method
          in: query
          schema:
            type: string
        - name: state
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK

````